<?php

declare(strict_types=1);

namespace App\Job;

use App\Service\UserService;

class AfterLoginJob extends Job
{
    public function handle()
    {
        /**
         * @var UserService $userService
         */
        $userService = make(UserService::class);
        $userService->afterLogin($this->params);
    }
}