<?php

declare(strict_types=1);

namespace App\Helper;

class RedisKey
{
    public static function getGenerateAppIdKey($timestamp) {
        return 'gennerate_app_id:' . date('Ymd', $timestamp);
    }

    public static function getGenerateOrderNoKey($timestamp) {
        return 'gennerate_order_no:' . date('YmdHi', $timestamp);
    }

    public static function getGenerateRequestIdKey($timestamp) {
        return 'gennerate_request_id:' . date('YmdHi', $timestamp);
    }

    public static function getGenerateBindCardKey($timestamp) {
        return 'gennerate_bank_card:' . date('YmdHi', $timestamp);
    }

    public static function getOrderNoKey($type, $timestamp) {
        return 'order_no_of_' . $type . '_' . date('YmdHi', $timestamp);
    }

    public static function getRequestTokenKey($token) {
        return 'request_token:' . $token;
    }
}