<?php
declare(strict_types=1);

namespace App\Request;

class ApiRequest extends Request
{
    public function __construct(array $params = [])
    {
        $data = json_decode($params['data'], true);
        foreach ($this->defaults() as $key => $value) {
            if (isset($data[$key])) {
                if (empty($value) && empty($data[$key])) {
                    $data[$key] = $value;
                }
            } else {
                $data[$key] = $value;
            }
        }
        $this->_data = $data;
    }
}